#!/bin/bash
valgrind --track-origins=yes --leak-check=full ./hlist/cds_hlist_add_head_rcu
valgrind --track-origins=yes --leak-check=full ./hlist/cds_hlist_del_rcu
valgrind --track-origins=yes --leak-check=full ./hlist/cds_hlist_for_each_rcu
valgrind --track-origins=yes --leak-check=full ./hlist/cds_hlist_for_each_entry_rcu
valgrind --track-origins=yes --leak-check=full ./lfstack/cds_lfs_push
valgrind --track-origins=yes --leak-check=full ./lfstack/cds_lfs_pop_blocking
valgrind --track-origins=yes --leak-check=full ./lfstack/cds_lfs_pop_all_blocking
valgrind --track-origins=yes --leak-check=full ./list/cds_list_add_rcu
valgrind --track-origins=yes --leak-check=full ./list/cds_list_add_tail_rcu
valgrind --track-origins=yes --leak-check=full ./list/cds_list_del_rcu
valgrind --track-origins=yes --leak-check=full ./list/cds_list_for_each_rcu
valgrind --track-origins=yes --leak-check=full ./list/cds_list_for_each_entry_rcu
valgrind --track-origins=yes --leak-check=full ./list/cds_list_replace_rcu
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_add
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_add_unique
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_add_replace
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_del
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_destroy
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_lookup
valgrind --track-origins=yes --leak-check=full ./rculfhash/cds_lfht_for_each_entry_duplicate
valgrind --track-origins=yes --leak-check=full ./rculfqueue/cds_lfq_enqueue
valgrind --track-origins=yes --leak-check=full ./rculfqueue/cds_lfq_dequeue
valgrind --track-origins=yes --leak-check=full ./urcu-flavors/qsbr
valgrind --track-origins=yes --leak-check=full ./urcu-flavors/mb
valgrind --track-origins=yes --leak-check=full ./urcu-flavors/membarrier
valgrind --track-origins=yes --leak-check=full ./urcu-flavors/signal
valgrind --track-origins=yes --leak-check=full ./urcu-flavors/bp
valgrind --track-origins=yes --leak-check=full ./wfcqueue/cds_wfcq_enqueue
valgrind --track-origins=yes --leak-check=full ./wfcqueue/cds_wfcq_dequeue
valgrind --track-origins=yes --leak-check=full ./wfcqueue/cds_wfcq_splice
valgrind --track-origins=yes --leak-check=full ./wfstack/cds_wfs_push
valgrind --track-origins=yes --leak-check=full ./wfstack/cds_wfs_pop
valgrind --track-origins=yes --leak-check=full ./wfstack/cds_wfs_pop_all_blocking
